<!doctype html>
<html lang="en">
  <head>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.5.3/dist/css/bootstrap.min.css" integrity="sha384-TX8t27EcRE3e/ihU7zmQxVncDAy5uIKz4rEkgIXeMed4M0jlfIDPvg6uqKI2xXr2" crossorigin="anonymous">

    <title>Grid Bootstrap</title>
    <style>
        .columnstyles
    {
         border: 1px solid black;
         /* display: flex;
         flex-direction: column;
         justify-content: center;
         align-items: center; */
    }
    </style>
    
  </head>
  <body>

    <div class="container-fluid">
        <div class="row">
          <div class="col-12 col-md-6 col-lg-3 columnstyles d-flex flex-column justify-content-center align-items-center">
            <h2>Card 1</h2>
            <div class="card" style="width: 23rem;">
                
                <img src="images/image-1.jpg" class="card-img-top" alt="image-1">
                <div class="card-body">
                    <h5 class="card-title">Card Title</h5>
                  <p class="card-text">Some quick example text to build on the card title and make up the bulk of the card's content.</p>
                </div>
              </div>
          </div>

        <div class="col-12 col-md-6 col-lg-3 columnstyles d-flex flex-column justify-content-center align-items-center">
            <h2>Card 2</h2>
            <div class="card" style="width: 23rem;">
               
                <img src="images/image-2.jpg" class="card-img-top" alt="image-2">
                <div class="card-body">
                    <h5 class="card-title">Card Title</h5>
                  <p class="card-text">Some quick example text to build on the card title and make up the bulk of the card's content.</p>
                </div>
              </div>
          </div>
          <div class="col-12 col-md-6 col-lg-3 columnstyles d-flex flex-column justify-content-center align-items-center">
            <h2>Card 3</h2>
            <div class="card" style="width: 23rem;">
                
                <img src="images/image-3.jpg" class="card-img-top" alt="image-3">
                <div class="card-body">
                    <h5 class="card-title">Card Title</h5>
                  <p class="card-text">Some quick example text to build on the card title and make up the bulk of the card's content.</p>
                </div>
              </div>
          </div>
          <div class="col-12 col-md-6 col-lg-3 columnstyles d-flex flex-column justify-content-center align-items-center">
            <h2>Card 4</h2>
            <div class="card" style="width: 23rem;">
               
                <img src="images/image-2.jpg"card-img-top alt="image-2">
                <div class="card-body">
                    <h5 class="card-title">Card Title</h5>
                  <p class="card-text">Some quick example text to build on the card title and make up the bulk of the card's content.</p>
                </div>
              </div>
          </div>
    </div>

    
    <script src="https://code.jquery.com/jquery-3.5.1.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@4.5.3/dist/js/bootstrap.bundle.min.js" integrity="sha384-ho+j7jyWK8fNQe+A12Hb8AhRq26LrZ/JpcUGGOn+Y7RsweNrtN/tE3MoK7ZeZDyx" crossorigin="anonymous"></script>

   
  </body>
</html>